QGIS Application - Bug report #14740

DB Manager: Previews do not work and python error

2016-04-28 12:35 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression
Assignee: Salvatore Larosa
Category: DB Manager

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 22698

Description

More issue in DB manager on master (testing on linux, installed from the nightly repo on ubuntu).

The preview of tables and geometries does not seems to work (it shows always the preview of the same layer), and at some point it starts

to throw a python error

TypeError: pyqtSignal must be bound to a QObiject, not 'PGVectorTable'

Traceback (most recent call last):
File "/usr/share/qgis/python/plugins/db_manager/db_manager.py", line 116, in tabChanged
self.refreshTabs()
File "/usr/share/qgis/python/plugins/db_manager/db_manager.py", line 142, in refreshTabs
self.preview.loadPreview(item)
File "/usr/share/qgis/python/plugins/db_manager/layer_preview.py", line 62, in loadPreview
self._clear()
File "/usr/share/qgis/python/plugins/db_manager/layer_preview.py", line 83, in _clear
self.item.aboutToChange.disconnect(self.setDirty)
TypeError: pyqtSignal must be bound to a QObject, not 'PGVectorTable'

Associated revisions

Revision b9d1544c - 2016-06-10 05:22 PM - Salvatore Larosa

[dbmanager] Fixes #14740 - Previews do not work and python error for PG layers

History

#1 - 2016-05-22 11:32 AM - Giovanni Manghi

got also this while doing operations with table structure

Traceback (most recent call last):
File "/usr/share/qgis/python/plugins/db_manager/dig_table_properties.py", line 210, in addConstraint
dlg = DIgCreateConstraint(self, self.table)
File "/usr/share/qgis/python/plugins/db_manager/dig_create_constraint.py", line 40, in init
self.db = self.table.database() if self.table and self.table.database() else db
File "/usr/share/qgis/python/plugins/db_manager/db_plugins/plugin.py", line 618, in database
return self.parent()
RuntimeError: wrapped C/C++ object of type PGVectorTable has been deleted
#2 - 2016-06-10 06:53 AM - Salvatore Larosa
- Assignee set to Salvatore Larosa

#3 - 2016-06-10 09:03 AM - Salvatore Larosa
- Status changed from Open to Closed

Fixed in changeset commit:"b9d1544c64851247d8855866bb9bb4ad9caa21bb".
